%define name pbbuttonsd
%define version 0.5.2
%define release 1mdk

Name: %{name}
Summary: Apple Powerbook specific functionality...
Version: %{version}
Release: %{release}
Source: http://www.cymes.de/members/joker/projects/pbbuttons/tar/%{name}-%{version}.tar.bz2
Source1: pbbuttonsd.init
Patch1: pbbuttonsd-0.5.2-ejectkey.patch.bz2
URL: http://www.cymes.de/members/joker/projects/pbbuttons/pbbuttons.html
Group: System/Configuration/Hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: ppc
License: GPL
PreReq: rpm-helper

%description
A special Tool for Apple PowerBook owner. It makes
the keys for controlling the brightness and volume work
as expected. It also controls trackpad settings and do
basic power management.

%package devel
Summary:	Include files for pbbuttonsd
Group:		Development/Other
Requires:	%{name} = %{version}

%description devel
pbbuttonsd header files for pbbuttonsd development and client support.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}-%{version}
%patch1 -p1 -b .ejectkey 

%build
%configure
%make

%install
install -d %buildroot%{_sysconfdir}
%makeinstall
install -c -D -m755 %{SOURCE1} %buildroot%{_initrddir}/pbbuttonsd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service pbbuttonsd

%preun
%_preun_service pbbuttonsd

%files
%defattr(-,root,root,0755)
%doc AUTHORS BUGS COPYING README TODO
%config(noreplace) %{_sysconfdir}/pbbuttonsd.conf
%config(noreplace) %{_sysconfdir}/power/PMac*
%config(noreplace) %{_initrddir}/pbbuttonsd
%{_bindir}/*
%{_mandir}/man*/*
%lang(de) %{_datadir}/locale/de/*
%lang(it) %{_datadir}/locale/it/*

%files devel
%defattr(-,root,root,0755)
%{_includedir}/*
%{_libdir}/*

%changelog
* Mon Mar 10 2003 Ben Reser <ben@reser.org> 0.5.2-1mdk
- Updated to 0.5.2 by Stew Benedict 
- Patch pbbuttonsd.conf to have the correct keyid for the
  eject key by default.
- rpmlint permission fixes

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.10-2brs
- Patched 0.4.10 to fix bugs, namely pressing save config
  in powerprefs caused the machine to go to sleep due to
  a missing break; and it wouldn't save the new nodim
  option because nobody added it to the save setup.

* Sat Jun 08 2002 Ben Reser <ben@reser.org> 0.4.10-1brs
- 0.4.10
- Ported nopowermanagement patch to 0.4.10

* Tue Jun 04 2002 Ben Reser <ben@reser.org> 0.4.9-2brs
- Added nopowermanagement patch that allows you to disable
  pbbuttonsd power management features.  Really handy since
  it seems to be buggy.
- Fixed init script.  restart was missing and reload didn't
  work right.

* Wed May 02 2002 Ben Reser <ben@reser.org> 0.4.9-1mdk
- First mandrake build.
